Neu Fehler beim installieren von JTL Software Edition

sipan

Neues Mitglied
19. Januar 2022
5
0
Hallo ich habe folgende zwei arten versucht, die Shop in laufen zu bringen, beide mal was über Xampp einmal war es unter Windows und da ich dann mit gekriegt habe, das die Software unter Windows nicht supportet wird. Habe ich mir auf die Virtuelle Maschine Ubuntu installieren, nach der installieren, habe ich zugriff auf die Installation Datei von Shop JTL. Nach ersten schritt scheitert es, es kommen einigen Fehlern wie Netzwerk Fehler.


Deprecated: Return type of JTL\Extensions\Config\Group::jsonSerialize() should either be compatible with JsonSerializable::jsonSerialize(): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /opt/lampp/htdocs/heluwshop/includes/src/Extensions/Config/Group.php on line 92

Deprecated
: Return type of JTL\Extensions\Config\GroupLocalization::jsonSerialize() should either be compatible with JsonSerializable::jsonSerialize(): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /opt/lampp/htdocs/heluwshop/includes/src/Extensions/Config/GroupLocalization.php on line 52

Deprecated
: Return type of JTL\Update\Migration::jsonSerialize() should either be compatible with JsonSerializable::jsonSerialize(): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /opt/lampp/htdocs/heluwshop/includes/src/Update/Migration.php on line 126

Deprecated
: Return type of JTL\Shopsetting::eek:ffsetExists($offset) should either be compatible with ArrayAccess::eek:ffsetExists(mixed $offset): bool, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /opt/lampp/htdocs/heluwshop/includes/src/Shopsetting.php on line 127

Deprecated
: Return type of JTL\Shopsetting::eek:ffsetGet($offset) should either be compatible with ArrayAccess::eek:ffsetGet(mixed $offset): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /opt/lampp/htdocs/heluwshop/includes/src/Shopsetting.php on line 147

Deprecated
: Return type of JTL\Shopsetting::eek:ffsetSet($offset, $value) should either be compatible with ArrayAccess::eek:ffsetSet(mixed $offset, mixed $value): void, or the



vielen Dank für Ihren Unterstützung.
 

Zwon

Neues Mitglied
28. Januar 2022
11
0
Hallo zusammen,

bei mir liegt ein ähnlicher Fehler vor.
Ich habe für den Webshop unter meiner Domain eine Subdomain angelegt. Die Installation startete Problemlos, bis ich unter Schritt 3 bemerkte, dass ich noch kein SSL-Zertifikat für die Subdomain erteilt hatte.
Dies habe ich daraufhin nachgeholt und habe das Setup von vorne gestartet. Daraufhin kamen bei Schritt 2 folgende Fehlermeldungen:

Netzwerkfehler:

Deprecated: Return type of JTL\Extensions\Config\Group::jsonSerialize() should either be compatible with JsonSerializable::jsonSerialize(): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/Extensions/Config/Group.php on line 92

Deprecated
: Return type of JTL\Extensions\Config\GroupLocalization::jsonSerialize() should either be compatible with JsonSerializable::jsonSerialize(): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/Extensions/Config/GroupLocalization.php on line 52

Deprecated
: Return type of JTL\Update\Migration::jsonSerialize() should either be compatible with JsonSerializable::jsonSerialize(): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/Update/Migration.php on line 126

Deprecated
: Return type of JTL\Shopsetting::eek:ffsetExists($offset) should either be compatible with ArrayAccess::eek:ffsetExists(mixed $offset): bool, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/Shopsetting.php on line 127

Deprecated
: Return type of JTL\Shopsetting::eek:ffsetGet($offset) should either be compatible with ArrayAccess::eek:ffsetGet(mixed $offset): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/Shopsetting.php on line 147

Deprecated
: Return type of JTL\Shopsetting::eek:ffsetSet($offset, $value) should either be compatible with ArrayAccess::eek:ffsetSet(mixed $offset, mixed $value): void, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/Shopsetting.php on line 112

Deprecated
: Return type of JTL\Shopsetting::eek:ffsetUnset($offset) should either be compatible with ArrayAccess::eek:ffsetUnset(mixed $offset): void, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/Shopsetting.php on line 136

Deprecated
: JTL\DB\NiceDB implements the Serializable interface, which is deprecated. Implement __serialize() and __unserialize() instead (or in addition, if support for old PHP versions is necessary) in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/DB/NiceDB.php on line 20

Deprecated
: Return type of JTL\phpQuery\phpQueryObject::current() should either be compatible with Iterator::current(): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/vendor/jtlshop/phpquery/src/phpQueryObject.php on line 3308

Deprecated
: Return type of JTL\phpQuery\phpQueryObject::next($cssSelector = null) should either be compatible with Iterator::next(): void, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/vendor/jtlshop/phpquery/src/phpQueryObject.php on line 3333

Deprecated
: Return type of JTL\phpQuery\phpQueryObject::key() should either be compatible with Iterator::key(): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/vendor/jtlshop/phpquery/src/phpQueryObject.php on line 3316

Deprecated
: Return type of JTL\phpQuery\phpQueryObject::eek:ffsetGet($offset) should either be compatible with ArrayAccess::eek:ffsetGet(mixed $offset): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/vendor/jtlshop/phpquery/src/phpQueryObject.php on line 3366

Deprecated
: Return type of JTL\phpQuery\phpQueryObject::eek:ffsetSet($offset, $value) should either be compatible with ArrayAccess::eek:ffsetSet(mixed $offset, mixed $value): void, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/vendor/jtlshop/phpquery/src/phpQueryObject.php on line 3376

Deprecated
: Return type of JTL\phpQuery\phpQueryObject::eek:ffsetUnset($offset) should either be compatible with ArrayAccess::eek:ffsetUnset(mixed $offset): void, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/vendor/jtlshop/phpquery/src/phpQueryObject.php on line 3385
{"shopURL":"https:\/\/ shop.labaria.de\/","installed":false}

Ich habe auch schon beim Support von meinem Hoster angefragt. Wäre super eine Lösung, einen Lösungsansatz oder Ursprung der Fehler zu erfahren.
Vielen Dank und bleibt gesund!

Besten Gruß
Sven
 

sipan

Neues Mitglied
19. Januar 2022
5
0
Hallo zusammen,

bei mir liegt ein ähnlicher Fehler vor.
Ich habe für den Webshop unter meiner Domain eine Subdomain angelegt. Die Installation startete Problemlos, bis ich unter Schritt 3 bemerkte, dass ich noch kein SSL-Zertifikat für die Subdomain erteilt hatte.
Dies habe ich daraufhin nachgeholt und habe das Setup von vorne gestartet. Daraufhin kamen bei Schritt 2 folgende Fehlermeldungen:

Netzwerkfehler:

Deprecated: Return type of JTL\Extensions\Config\Group::jsonSerialize() should either be compatible with JsonSerializable::jsonSerialize(): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/Extensions/Config/Group.php on line 92

Deprecated
: Return type of JTL\Extensions\Config\GroupLocalization::jsonSerialize() should either be compatible with JsonSerializable::jsonSerialize(): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/Extensions/Config/GroupLocalization.php on line 52

Deprecated
: Return type of JTL\Update\Migration::jsonSerialize() should either be compatible with JsonSerializable::jsonSerialize(): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/Update/Migration.php on line 126

Deprecated
: Return type of JTL\Shopsetting::eek:ffsetExists($offset) should either be compatible with ArrayAccess::eek:ffsetExists(mixed $offset): bool, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/Shopsetting.php on line 127

Deprecated
: Return type of JTL\Shopsetting::eek:ffsetGet($offset) should either be compatible with ArrayAccess::eek:ffsetGet(mixed $offset): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/Shopsetting.php on line 147

Deprecated
: Return type of JTL\Shopsetting::eek:ffsetSet($offset, $value) should either be compatible with ArrayAccess::eek:ffsetSet(mixed $offset, mixed $value): void, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/Shopsetting.php on line 112

Deprecated
: Return type of JTL\Shopsetting::eek:ffsetUnset($offset) should either be compatible with ArrayAccess::eek:ffsetUnset(mixed $offset): void, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/Shopsetting.php on line 136

Deprecated
: JTL\DB\NiceDB implements the Serializable interface, which is deprecated. Implement __serialize() and __unserialize() instead (or in addition, if support for old PHP versions is necessary) in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/src/DB/NiceDB.php on line 20

Deprecated
: Return type of JTL\phpQuery\phpQueryObject::current() should either be compatible with Iterator::current(): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/vendor/jtlshop/phpquery/src/phpQueryObject.php on line 3308

Deprecated
: Return type of JTL\phpQuery\phpQueryObject::next($cssSelector = null) should either be compatible with Iterator::next(): void, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/vendor/jtlshop/phpquery/src/phpQueryObject.php on line 3333

Deprecated
: Return type of JTL\phpQuery\phpQueryObject::key() should either be compatible with Iterator::key(): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/vendor/jtlshop/phpquery/src/phpQueryObject.php on line 3316

Deprecated
: Return type of JTL\phpQuery\phpQueryObject::eek:ffsetGet($offset) should either be compatible with ArrayAccess::eek:ffsetGet(mixed $offset): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/vendor/jtlshop/phpquery/src/phpQueryObject.php on line 3366

Deprecated
: Return type of JTL\phpQuery\phpQueryObject::eek:ffsetSet($offset, $value) should either be compatible with ArrayAccess::eek:ffsetSet(mixed $offset, mixed $value): void, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/vendor/jtlshop/phpquery/src/phpQueryObject.php on line 3376

Deprecated
: Return type of JTL\phpQuery\phpQueryObject::eek:ffsetUnset($offset) should either be compatible with ArrayAccess::eek:ffsetUnset(mixed $offset): void, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /var/www/vhosts/qm6az8sv.web8.alfahosting-server.de/shop.labaria.de/jtl-shop/includes/vendor/jtlshop/phpquery/src/phpQueryObject.php on line 3385
{"shopURL":"https:\/\/ shop.labaria.de\/","installed":false}

Ich habe auch schon beim Support von meinem Hoster angefragt. Wäre super eine Lösung, einen Lösungsansatz oder Ursprung der Fehler zu erfahren.
Vielen Dank und bleibt gesund!

Besten Gruß
Sven
Hallo Sehen, ich hatte neuesten Version von php gehabt , der Shop ist nur mit PHP 7.04 kompatibel. LG
 

sipan

Neues Mitglied
19. Januar 2022
5
0
Besten Dank für den Hnweis! Ich habe nun die PHP Version auf 8.0 gestellt und es läuft ohne Probleme.
Da ich aus dem Bereich der Anwendungsentwicklung komme, würde es mich mal interessieren, wie du anhand meiner Daten darauf gekommen bist, dass ich die 8.1 Version fahre :D
Das freut mich, das es geklappt hat. Ich hatte selben Fehlern wie Du, deswegen wusste ich das du PHP 8.1 hast.
Ich drücke dir die Daumen für dein Shop, eventuell lässt du mal den link hier, vielleicht bestelle ich einen Artikel. Lg
 
Ähnliche Themen
Titel Forum Antworten Datum
Neu (WooCommerce) JTL Connector Aufträge lassen sich nicht bearbeiten "Fehler beim MARS-Batch" User helfen Usern - Fragen zu JTL-Wawi 0
Neu Fehler beim heutigen Update von 1.6.38.1 auf 1.6.38.2 Installation von JTL-Wawi 1
Neu Fehler beim Speichern der Daten für den Verkaufskanal-PrestaShop-JTL Wawi 1.6 PrestaShop-Connector 0
Neu Kritischer Fehler beim Abgleich mit dem Shop WooCommerce-Connector 0
In Bearbeitung Fehler beim Kassiervorgang / Kundin will Geld per Üwerweisung / Wie kann man das anstellen? Allgemeine Fragen zu JTL-POS 3
Neu Fehler beim Online-Abgleich Onlineshop-Anbindung 0
Neu [modified shop] plötzlich Fehler beim Shopabgleich - Artikel einstellen nicht möglich Modified eCommerce-Connector 3
Neu Fehler beim Verbindungsaufbau: Exception bei core.connector.auth: Der Remoteserver hat einen Fehler zurückgegeben: (401) Nicht autorisiert. WooCommerce-Connector 1
Neu Fehler beim Erstellen von DHL Labels über JTL Shipping JTL-ShippingLabels - Fehler und Bugs 1
Neu Fehler "Division durch Null" beim Versuch, Rechnungskorrekturen anzusehen (WAWI 1.6.35.2) JTL-Wawi - Fehler und Bugs 0
Neu Fehler beim "An diesen Onlineshop binden" Plugins für JTL-Shop 1
Neu Prestashop 1.7.8.3 Fehler beim Upgrade auf Connector von Version 1.10.0 auf Version 1.11.0 sowie 1.12.0 - Installation schlägt fehlt PrestaShop-Connector 2
Neu Fehler beim hochladen von Artikeln Shopware 6 Shopware-Connector 2
Gelöst Fehler beim Verbindungsaufbau: Exception bei core.connector.auth: Call to a member function getBody() on null Shopware-Connector 3
Neu Fehler beim Shopabgleich WooCommerce-Connector 3
Neu JTL Shop - Paypal Plus - Kauf auf Rechnung, Fehler beim Checkout JTL-Shop - Fehler und Bugs 0
Fehler bei Abgleich mit JTL-Shop 5.11/Wawi 1.6.38.2 JTL-Wawi 1.6 2
Neu Fehler in Zahlungsarten: CreatePayment: ERROR: Failed to write cache - Allgemeine Fragen zu JTL-Shop 0
Syntax Fehler Einrichtung JTL-Shop5 0
Neu JTL Wawi 1.6 - Shopware 6 Kategorien-Senden-Fehler Shopware-Connector 0
Neu Zugriff auf Plugin Käufe zeigt Fehler JTL-Shop - Fehler und Bugs 1
Neu Shop 5.1.x - Weiße Seite bzw. Fehler in DataModel.php JTL-Shop - Fehler und Bugs 0
Neu Fehler 90057 Amazon-Anbindung - Fehler und Bugs 0
Neu Druckvorlagen Fehler in JTL 1.6 User helfen Usern - Fragen zu JTL-Wawi 2
Beantwortet Update Fehler von 1.6.36 auf 1.6.38 Installation von JTL-Wawi 8
Neu JTL DHL Fehler bei "zur Kasse" Plugins für JTL-Shop 0
Neu Fehler Woo Anbindung WooCommerce-Connector 0
Neu Fehler Woo Anbindung WooCommerce-Connector 0
Neu Rechnungs Export (Rechnungen (Neu)) wirft Fehler aus wegen Umsatztseuer fehler Schnittstellen Import / Export 8
Neu Fehler bei der Installation Google reChaptcha v2 Plugins für JTL-Shop 1
Neu Fehler bei Berechnung für kostenfreien Versand, wenn Versandkosten auf netto gestellt sind. JTL-Shop - Fehler und Bugs 0
Beantwortet GLS Fehler bei Shipping Labels "Index was out of range. Must be non-negative and less than the size of the collection. Parameter name: index" JTL-ShippingLabels - Fehler und Bugs 1
Gelöst PayPal Checkout Fehler : Bitte füllen Sie alle Pflichtfelder aus Plugins für JTL-Shop 11
Update Fehler 4 auf 5 Class not found Upgrade JTL-Shop4 auf JTL-Shop5 1
Neu Warenkorb - Fehler in der Berechnung der Gesamtsumme JTL-Shop - Fehler und Bugs 1
Fehler bei Startseitenaufruf des Shop Einrichtung JTL-Shop5 0
Neu FFN Fehler bei Übertragung: "ArgumentException: Das Zielarray ist nicht lang genug. Überprüfen Sie destIndex, die Länge und die Untergrenze des Array" JTL-Wawi - Fehler und Bugs 0
Neu Google - Tag -> Smarty - Fehler im backend JTL-Shop - Fehler und Bugs 0
Fehler in Filter LAGER JTL-Wawi - Fehler und Bugs 0
Fehler Dateistruktur Upgrade JTL-Shop4 auf JTL-Shop5 2
Neu Es liegen Fehler in der Dateistruktur vor nach Update von Shop 5.1.1 auf 5.1.2 Installation / Updates von JTL-Shop 20
Neu Shop 4 Paypal: Statt Zahlungsart Paypal Plus wird Fehler "forbidden" angezeigt Plugins für JTL-Shop 6
Verwiesen an Support Abgleich Fehler nach Shopware Connector Update Shopware-Connector 1
Neu Fehler in Connector-Requestdaten nach Änderung der Kundengruppe in der Wawi Allgemeines zu den JTL-Connectoren 2
Neu JTL Connector zu Presta "Product": {"delete"} -> Exception bei product.delete: Der Remoteserver hat einen Fehler zurückgegeben: (500) Interner Serverf PrestaShop-Connector 1
Neu JTL Paypal Checkout Fehler Anzeige User helfen Usern - Fragen zu JTL-Wawi 16
Neu JTL Shop 5.1.2 Fehler und Bugs: Error executing query: SELECT tartikel.kArtikel JTL-Shop - Fehler und Bugs 0
Neu Onlineshop Abgleich (zu Shopware) Fehler Artikelmerkmale Farbe, Übersetzungen und Details Shopware-Connector 0
Neu E-Mail-Einstellungen - Endet immer mit Fehler User helfen Usern - Fragen zu JTL-Wawi 0
Neu Wawi 1.45.1 - lastPage bei Mehrfachdruck nur 1 x drucken - wo liegt mein Fehler? Druck-/ E-Mail-/ Exportvorlagen in JTL-Wawi 0

Ähnliche Themen